# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70.0"
name = "exc-types"
version = "0.7.2"
authors = ["Nouzan <clobraindie@outlook.com>"]
description = "The abstraction layer of exchanges."
readme = "README.md"
keywords = [
    "exchange",
    "tower",
]
license = "MIT"
repository = "https://github.com/Nouzan/exc"

[dependencies.derive_more]
version = "0.99"

[dependencies.exc-service]
version = "0.7.2"
default-features = false

[dependencies.exc-symbol]
version = "0.7.2"
default-features = false

[dependencies.futures]
version = "0.3.25"

[dependencies.indicator]
version = "0.4.0"

[dependencies.num-traits]
version = "0.2.15"

[dependencies.positions]
version = "0.2.1"
features = ["serde"]

[dependencies.rust_decimal]
version = "1.27.0"

[dependencies.serde]
version = "1.0.151"
features = ["derive"]

[dependencies.thiserror]
version = "1.0.38"

[dependencies.time]
version = "0.3.17"
features = ["serde-well-known"]
